### Class

# Ide SimpleBuildTarget

#### Description

    class Ide.SimpleBuildTarget : Ide.Object {
      parent_instance: IdeObject
    }

No description available.

#### Ancestors

- IdeObject
- GObject

#### Implements

- IdeBuildTarget

#### Constructors

###### ide_simple_build_target_new

No description available.

#### Instance methods

###### ide_simple_build_target_set_argv

No description available.

###### ide_simple_build_target_set_cwd

No description available.

###### ide_simple_build_target_set_install_directory

No description available.

###### ide_simple_build_target_set_language

No description available.

###### ide_simple_build_target_set_name

No description available.

###### ide_simple_build_target_set_priority

No description available.

##### Methods inherited from IdeObject (28)

Please see IdeObject for a full list of methods.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from IdeBuildTarget (10)

###### ide_build_target_compare

No description available.

###### ide_build_target_get_argv

Gets the arguments used to run the target.

Available since: 3.32

###### ide_build_target_get_cwd

For build systems and build target providers that insist to be run in a specific place, this method gets the correct working directory.

Available since: 3.32

###### ide_build_target_get_display_name

No description available.

Available since: 3.32

###### ide_build_target_get_install

Checks if the `IdeBuildTarget` gets installed.

Available since: 3.32

###### ide_build_target_get_install_directory

No description available.

Available since: 3.32

###### ide_build_target_get_kind

Gets the kind of artifact.

Available since: 3.32

###### ide_build_target_get_language

Return the main programming language that was used to write this build target.

Available since: 3.32

###### ide_build_target_get_name

No description available.

Available since: 3.32

###### ide_build_target_get_priority

Gets the priority of the build target. This is used to sort build targets by their importance. The lowest value (negative values are allowed) will be run as the default run target by Builder.

Available since: 3.32

#### Properties

##### Properties inherited from IdeObject (2)

###### Ide.Object:cancellable

The “cancellable” property is a `GCancellable` that can be used by operations that will be cancelled when the `IdeObject::destroy` signal is emitted on `self`.

Available since: 3.32

###### Ide.Object:parent

The parent `IdeObject`, if any.

Available since: 3.32

#### Signals

##### Signals inherited from IdeObject (1)

###### Ide.Object::destroy

The “destroy” signal is emitted when the object should destroy itself and cleanup any state that is no longer necessary. This happens when the object has been removed from the because it was requested to be destroyed, or because a parent object is being destroyed.

Available since: 3.32

##### Signals inherited from GObject (1)

###### GObject.Object::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct IdeSimpleBuildTargetClass {
      IdeObjectClass parent_class;

    }

###### Class members

`parent_class` |
    IdeObjectClass
| No description available.